## Create Webhook Config

`client.WebhookConfigs.New(ctx, params) (*WebhookConfigResponse, error)`

**post** `/api/v1/beta/webhook-configs`

Create a reusable webhook configuration for the current project.

### Parameters

- `params WebhookConfigNewParams`

  - `WebhookConfigCreate param.Field[WebhookConfigCreate]`

    Body param: Request to create a stored webhook configuration.

    The owning tenant is taken from the request context (e.g. the project in the
    path), not the body.

  - `OrganizationID param.Field[string]`

    Query param

  - `ProjectID param.Field[string]`

    Query param

### Returns

- `type WebhookConfigResponse struct{…}`

  A stored webhook configuration. The signing secret is never included.

  - `ID string`

    Unique identifier for the webhook configuration.

  - `HasSecret bool`

    Whether a signing secret is configured for this endpoint.

  - `TenantID string`

    Owner tenant ID.

  - `TenantType Project`

    Owner tenant type.

    - `const ProjectProject Project = "project"`

  - `WebhookURL string`

    URL that receives webhook POST notifications.

  - `CreatedAt Time`

    Creation datetime

  - `UpdatedAt Time`

    Update datetime

  - `WebhookEvents []string`

    Subscribed events (null = all events).

    - `const WebhookConfigResponseWebhookEventBatchCancelled WebhookConfigResponseWebhookEvent = "batch.cancelled"`

    - `const WebhookConfigResponseWebhookEventBatchError WebhookConfigResponseWebhookEvent = "batch.error"`

    - `const WebhookConfigResponseWebhookEventBatchPending WebhookConfigResponseWebhookEvent = "batch.pending"`

    - `const WebhookConfigResponseWebhookEventBatchRunning WebhookConfigResponseWebhookEvent = "batch.running"`

    - `const WebhookConfigResponseWebhookEventBatchSuccess WebhookConfigResponseWebhookEvent = "batch.success"`

    - `const WebhookConfigResponseWebhookEventClassifyCancelled WebhookConfigResponseWebhookEvent = "classify.cancelled"`

    - `const WebhookConfigResponseWebhookEventClassifyError WebhookConfigResponseWebhookEvent = "classify.error"`

    - `const WebhookConfigResponseWebhookEventClassifyPartialSuccess WebhookConfigResponseWebhookEvent = "classify.partial_success"`

    - `const WebhookConfigResponseWebhookEventClassifyPending WebhookConfigResponseWebhookEvent = "classify.pending"`

    - `const WebhookConfigResponseWebhookEventClassifyRunning WebhookConfigResponseWebhookEvent = "classify.running"`

    - `const WebhookConfigResponseWebhookEventClassifySuccess WebhookConfigResponseWebhookEvent = "classify.success"`

    - `const WebhookConfigResponseWebhookEventExtractCancelled WebhookConfigResponseWebhookEvent = "extract.cancelled"`

    - `const WebhookConfigResponseWebhookEventExtractError WebhookConfigResponseWebhookEvent = "extract.error"`

    - `const WebhookConfigResponseWebhookEventExtractPartialSuccess WebhookConfigResponseWebhookEvent = "extract.partial_success"`

    - `const WebhookConfigResponseWebhookEventExtractPending WebhookConfigResponseWebhookEvent = "extract.pending"`

    - `const WebhookConfigResponseWebhookEventExtractSuccess WebhookConfigResponseWebhookEvent = "extract.success"`

    - `const WebhookConfigResponseWebhookEventParseCancelled WebhookConfigResponseWebhookEvent = "parse.cancelled"`

    - `const WebhookConfigResponseWebhookEventParseError WebhookConfigResponseWebhookEvent = "parse.error"`

    - `const WebhookConfigResponseWebhookEventParsePartialSuccess WebhookConfigResponseWebhookEvent = "parse.partial_success"`

    - `const WebhookConfigResponseWebhookEventParsePending WebhookConfigResponseWebhookEvent = "parse.pending"`

    - `const WebhookConfigResponseWebhookEventParseRunning WebhookConfigResponseWebhookEvent = "parse.running"`

    - `const WebhookConfigResponseWebhookEventParseSuccess WebhookConfigResponseWebhookEvent = "parse.success"`

    - `const WebhookConfigResponseWebhookEventSheetsCancelled WebhookConfigResponseWebhookEvent = "sheets.cancelled"`

    - `const WebhookConfigResponseWebhookEventSheetsError WebhookConfigResponseWebhookEvent = "sheets.error"`

    - `const WebhookConfigResponseWebhookEventSheetsPartialSuccess WebhookConfigResponseWebhookEvent = "sheets.partial_success"`

    - `const WebhookConfigResponseWebhookEventSheetsPending WebhookConfigResponseWebhookEvent = "sheets.pending"`

    - `const WebhookConfigResponseWebhookEventSheetsSuccess WebhookConfigResponseWebhookEvent = "sheets.success"`

    - `const WebhookConfigResponseWebhookEventSplitCancelled WebhookConfigResponseWebhookEvent = "split.cancelled"`

    - `const WebhookConfigResponseWebhookEventSplitError WebhookConfigResponseWebhookEvent = "split.error"`

    - `const WebhookConfigResponseWebhookEventSplitPending WebhookConfigResponseWebhookEvent = "split.pending"`

    - `const WebhookConfigResponseWebhookEventSplitProcessing WebhookConfigResponseWebhookEvent = "split.processing"`

    - `const WebhookConfigResponseWebhookEventSplitSuccess WebhookConfigResponseWebhookEvent = "split.success"`

    - `const WebhookConfigResponseWebhookEventUnmappedEvent WebhookConfigResponseWebhookEvent = "unmapped_event"`

  - `WebhookHeaders map[string, string]`

    Custom HTTP headers sent with each request.

  - `WebhookOutputFormat WebhookConfigResponseWebhookOutputFormat`

    Response format sent to the webhook.

    - `const WebhookConfigResponseWebhookOutputFormatJson WebhookConfigResponseWebhookOutputFormat = "json"`

    - `const WebhookConfigResponseWebhookOutputFormatString WebhookConfigResponseWebhookOutputFormat = "string"`

### Example

```go
package main

import (
  "context"
  "fmt"

  "github.com/run-llama/llama-parse-go"
  "github.com/run-llama/llama-parse-go/option"
)

func main() {
  client := llamacloud.NewClient(
    option.WithAPIKey("My API Key"),
  )
  webhookConfigResponse, err := client.WebhookConfigs.New(context.TODO(), llamacloud.WebhookConfigNewParams{
    WebhookConfigCreate: llamacloud.WebhookConfigCreateParam{
      WebhookURL: "https://example.com/webhooks/llamacloud",
    },
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", webhookConfigResponse.ID)
}
```

#### Response

```json
{
  "id": "id",
  "has_secret": true,
  "tenant_id": "tenant_id",
  "tenant_type": "project",
  "webhook_url": "webhook_url",
  "created_at": "2019-12-27T18:11:19.117Z",
  "updated_at": "2019-12-27T18:11:19.117Z",
  "webhook_events": [
    "batch.cancelled"
  ],
  "webhook_headers": {
    "foo": "string"
  },
  "webhook_output_format": "json"
}
```
